
// {B0338401-574B-478a-AB1D-DC209872758E}
DEFINE_GUID(DCB_INTERFACE_GUID, 0xb0338401, 0x574b, 0x478a, 0xab, 0x1d, 0xdc, 0x20, 0x98, 0x72, 0x75, 0x8e);


//The IOCTL function codes from 0x800 to 0xFFF are for customer use.
#define IOCTL_DC_REPORT_ID CTL_CODE( DCEV_TYPE,  0x900, METHOD_BUFFERED, FILE_READ_ACCESS) 
// 	liefert id des dazugehrigen ASA-Controllers zurck

#define IOCTL_DC_READ_BYTE CTL_CODE( DCEV_TYPE, 0x901, METHOD_BUFFERED, FILE_READ_ACCESS) 
//	Set Wait For Ready Cycles --> ersetzt ASA.DLL GetPort()

#define IOCTL_DC_WRITE_BYTE CTL_CODE( DCEV_TYPE,  0x902, METHOD_BUFFERED, FILE_WRITE_ACCESS) 
//	Set Wait For Ready Cycles --> ersetzt ASA.DLL SetPort()

#define IOCTL_DC_SET_WFR_CYCLES CTL_CODE( DCEV_TYPE,  0x903, METHOD_BUFFERED, FILE_WRITE_ACCESS) 
//	Set Wait For Ready Cycles --> ersetzt ASA.DLL SetTimeOut()
//	ein ULONG im Systembuffer bergeben mit Zyklenanzahl

#define IOCTL_DC_GET_DATA CTL_CODE( DCEV_TYPE,  0x904, METHOD_BUFFERED, FILE_WRITE_ACCESS) 
//	Get Data --> ersetzt ASA.DLL GetData()
//	Puffer gefllt mit Struktur IrpParamsGetData bergeben

//Userdefined datatypes
struct IrpParams
{
	ULONG Port;
	ULONG Value;
};

struct IrpParamsGetData
{
	PUCHAR pBuffer;			//Zeiger auf Puffer in den die Daten eingelesen werden sollen
	ULONG MaxCount; 		//Anzahl der Einzulesenden Wrter -> gre von Buffer in WORD
	//WORD  ymax;
};
