//#############################################################################
//                                                                           //
// U_UTILS.H                                                                 //
// Subsystem: Utilities - Interface nach auen                               //
// Benutzung durch andere Subsysteme erforderlich: JA                         //
// enthlt die unten inkludierten Dateien (mehr nicht)                       //
//---------------------------------------------------------------------------//
// Autoren: Thomas Kullmann, Gnther Reinecker                               //
// Stand:   07.11.2002                                                       //
//                                                                           //
//#############################################################################

#ifndef __U_UTILS_H
#define __U_UTILS_H

// TIndList, TIntList, TFloatList
#include "utils\u_lists.h"

// TBasisTimer, TTimer16, TTimer32, TTimer, ITimer, TInterfaceTimer, TWindowTimer
#include "utils\u_timer.h"

// _MAXLENDOUBLE, DoubleRound, DoubleRoundOff, Double2Float, Float2Double, StringReplace, DoubleErr, IsDouble, String2Double, Double2String
#include "utils\u_values.h"

// IniReadString, IniWriteString, IniReadBool, IniWriteBool, IniReadLong, IniWriteLong, IniReadFloat, IniWriteFloat, IniReadDouble, IniWriteDouble, TTxtRead
#include "utils\u_files.h"

// WM_SETHOTKEY, HOTKEYF_SHIFT, HOTKEYF_CONTROL, HOTKEYF_ALT, HOTKEYF_EXT, WM_HOTKEY, MOD_ALT, MOD_CONTROL, MOD_SHIFT, MOD_WIN, VK_0, ... VK_9, VK_A, ..., VK_Z,
// SetActivateHotKey, THotKey, TBasicWindow, TBasicDialog, TModalDlg, TModelessDlg
#include "utils\u_window.h" 

// fr Verwaltung von FileLocations und MainParameters, 
#include "internls\l_layer.h" 

#endif